ISCSI_CREATE_FLASHNO(9)

NAME
iscsi_create_flashnode_sess - Add flashnode session entry in sysfs

SYNOPSIS

struct iscsi_bus_flash_session * iscsi_create_flashnode_sess(struct Scsi_Host * shost, int index, struct iscsi_transport * transport, int dd_size);

ARGUMENTS

shost
    pointer to host data

index
    index of flashnode to add in sysfs

transport
    pointer to transport data

dd_size
    total size to allocate

DESCRIPTION

Adds a sysfs entry for the flashnode session attributes

RETURNS

pointer to allocated flashnode sess on success NULL on failure

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT